<?
$pQuery			= "select count(*) as totRecordCnt from zm_sms_history where 1";
$pResult		= mysql_query($pQuery);
$pData			= mysql_fetch_array($pResult);

$strPageNo		= "";											//-- 출력 될 페이지 번호

$totPageNo		= intval($pData[totRecordCnt] / $cfgListCnt);	//-- 총 페이지 수 = 총 레코드 수 / 한 페이지에 보여질 레코드 수
$totPageNo2		= $pData[totRecordCnt] / $cfgListCnt;
if($totPageNo2 > $totPageNo)	$totPageNo++;

$tmpPageNo		= intval(($goPageNo-1) / $cfgGrpPageCnt);
$startPageNo	= ($tmpPageNo * $cfgGrpPageCnt) + 1;

$preGrpPageNo	= $startPageNo - 1;								//-- 이전 페이지 묶음 시작
$nextGrpPageNo	= $startPageNo + $cfgGrpPageCnt;
for($i = 0; $i < $cfgGrpPageCnt; $i++)
{
	if($startPageNo <= $totPageNo)	{
		if($startPageNo == $goPageNo)	$strPgNo	= "<b>$startPageNo</b>"; else	$strPgNo	= "$startPageNo";
			$strPageNo		.= "[<a href='$PHP_SELF?goPageNo=$startPageNo&$commPara'>$strPgNo</a>]";
		$startPageNo++;
	}
		
}

if($preGrpPageNo > 0)			$strPrePageNo	= "<a href='$PHP_SELF?goPageNo=$preGrpPageNo&$commPara'>◁</a> ";
if($nextGrpPageNo <= $totPageNo)	$strNextPageNo	= " <a href='$PHP_SELF?goPageNo=$nextGrpPageNo&$commPara'>▷</a>";
?>
<table border="0" cellspacing="0" width="100%">
<tr height="23">
	<td align="center"><?=$strPrePageNo?> <?=$strPageNo?> <?=$strNextPageNo?></td>
</tr>
</table>

<?
$pQ				= "select count(*) as totRec from zm_sms_history where 1";
$pR				= mysql_query($pQ);
$totRec			= mysql_result($pR, 0, totRec);					//-- 총 레코드 수

$tP				= $totRec / $cfgListCnt;
if($tP < 1)		$tP = 1;										//-- 총페이지 수


?>